Name:           gnome-mines
Version:        3.7.92
Release:        1%{?dist}
Summary:        GNOME Mines Sweeper game

License:        GPLv2+ and CC-BY-SA
URL:            http://projects.gnome.org/gnome-games/
Source0:        http://download.gnome.org/sources/gnome-mines/3.7/gnome-mines-%{version}.tar.xz

Patch1:         gnome-mines-desktop-keyword-po.patch

BuildRequires:  glib2-devel gtk3-devel
BuildRequires:  librsvg2-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  desktop-file-utils

Obsoletes: gnome-games-gnomine < 1:3.7.92-1

%description
The popular logic puzzle minesweeper. Find mines on a grid 
using hints from squares you have already cleared.

%prep
%setup -q
%patch1 -p1 -b .desktop-keyword-po

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnomine.desktop

%find_lang %{name} --all-name --with-gnome


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{_datadir}/glib-2.0/schemas/org.gnome.mines.gschema.xml
%{_datadir}/applications/gnomine.desktop
%{_mandir}/man6/gnome-mines.6.gz
%{_bindir}/gnome-mines
%{_datadir}/gnome-mines
%{_datadir}/icons/hicolor/*/apps/gnome-mines.*


%changelog
* Tue Mar 19 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.92-1
- Update to 3.7.92

* Fri Feb 15 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.5-1
- Initial packaging of standalone gnome-mines
